Start- & Due date issuelist filters: allow to specify multiple selections (e.g. x OR blank)
Status: New Start date: 2009-09-15

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Issues Estimated time: 0.00 hour

Target version:    

Resolution:    

Description

Tried to create a query that used a due date filter.  I set it to is less than 365 days from now - that missed all of the issues with blank

Due Dates.  The filter does not allow you to specify a blank due date, or allow you to do multiple selections (due date < 365 days

AND due date is blank).  This appears to be the same for the Start Date as well.

Related issues:

Related to Redmine - Feature #5115: Assignee & Target version issuelist filte... New 2010-03-18

History

#1 - 2009-11-09 17:03 - Erwin Schliske

I missed this function, too. It would be very helpful to filter Tickets that are e.g. status new, a week old and without due date. It would be great if you

can integrate this feature in the next release. Thanks.

#2 - 2009-11-11 17:36 - Jean-Philippe Lang

- Tracker changed from Defect to Feature

#3 - 2010-03-09 20:33 - Josh Galvez

See #3600 and #3395

#4 - 2011-11-24 21:00 - Mischa The Evil

- Subject changed from Due date and Start date filters don't allow you to specify multiple selections OR blank to Start- & Due date issuelist filters: allow

to specify multiple selections (e.g. x OR blank)

Josh Galvez wrote:

See #3600 and #3395

 I believe these issues did not exactly proposed what Robert Chady described here. This issue deals with having a possibility of having multiple

selections for issuelist start-/end date filters, for example including a 'blank' value.

I've adjusted the issue-subject and will "fix" the issue-relations accordingly.
